﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using System.Xml;
using System.IO;
using Syncfusion.Web.UI.WebControls.Tools;
using System.Web.Script.Serialization;

namespace ColumnWidth_GridWeb
{
    public partial class Default : System.Web.UI.Page
    {
        List<MyClass> list = new List<MyClass>();
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                bindDataSource();

            }
            this.GridGroupingControl1.DataSourceControlRowUpdating += new GridDataSourceControlRowUpdateEventHandler(GridGroupingControl1_DataSourceControlRowUpdating);
        }

        void GridGroupingControl1_DataSourceControlRowUpdating(object sender, GridDataSourceControlRowUpdateEventArgs e)
        {
            e.Handled = true;
            e.Cancel = true;
        }

        private void bindDataSource()
        {
            for (int i = 0; i < 60; i++)
            {
                list.Add(new MyClass(i, "Company"+i, 15123.45m, 1360+i, 458792650+i, "Rating"+i));
               
            }
            this.GridGroupingControl1.DataSource = list;
        }



        [Serializable]
        public class MyClass
        {
            public MyClass() { }
            public MyClass(int ID, string name, decimal currency, int number, int TelePhone, string rating)
            {
                this.ID = ID;
                this.Name = name;
                this.Currency = currency;
                this.Number = number;
                this.Telephone = TelePhone;
                this.Rating = rating;

            }
            public int ID { get; set; }
            public decimal Currency { get; set; }
            public string Name { get; set; }
            public int Number { get; set; }
            public int Telephone { get; set; }
            public string Rating { get; set; }
        }


    }
}